From 27084a0ebd37176f0a831042457e27cad8ac70eb Mon Sep 17 00:00:00 2001
From: Jesse Zhang <sbjesse@gmail.com>
Date: Sat, 25 Apr 2020 16:24:33 -0700
Subject: [PATCH] Remove unused include

LLVM has recently removed "llvm/IR/CallSite.h" in (unreleased) version
11 [1]. Instead of using preprocessor conditionals, just remove it
because it doesn't seem like AbstractCallSite (or none of the other
symbols declared in the header) is used by LLVM JIT.

[1] LLVM Differential Revision: https://reviews.llvm.org/D78794
---
 src/backend/jit/llvm/llvmjit_inline.cpp | 1 -
 1 file changed, 1 deletion(-)

diff --git a/src/backend/jit/llvm/llvmjit_inline.cpp b/src/backend/jit/llvm/llvmjit_inline.cpp
index 95d4d854f43..2617a461cad 100644
--- a/src/backend/jit/llvm/llvmjit_inline.cpp
+++ b/src/backend/jit/llvm/llvmjit_inline.cpp
@@ -56,7 +56,6 @@ extern "C"
 #include <llvm/Support/Error.h>
 #endif
 #include <llvm/IR/Attributes.h>
-#include <llvm/IR/CallSite.h>
 #include <llvm/IR/DebugInfo.h>
 #include <llvm/IR/IntrinsicInst.h>
 #include <llvm/IR/IRBuilder.h>
-- 
2.26.2

